import { BridgeType } from '@bnb-chain/canonical-bridge-sdk';
import { ICBridgeBurnPairConfig, ICBridgeChain, ICBridgePeggedPairConfig, ICBridgeToken, ICBridgeTransferConfig } from './types';
import { BaseAdapter } from '../../shared/BaseAdapter';

export declare class CBridgeAdapter extends BaseAdapter<ICBridgeTransferConfig, ICBridgeChain, ICBridgeToken> {
    bridgeType: BridgeType;
    private peggedPairConfigs;
    private burnPairConfigs;
    protected init(): void;
    protected initChains(): void;
    protected initTokens(): void;
    protected initTransferMap(): void;
    private initPeggedPairConfigs;
    private initBurnPairConfigs;
    getChainId(chain: ICBridgeChain): number;
    protected getChainIdAsObject(chainId: number): {
        id: number;
    };
    getTokenInfo({ chainId, token }: {
        chainId: number;
        token: ICBridgeToken;
    }): {
        displaySymbol: string;
        icon: string;
        name: string;
        symbol: string;
        address: string;
        decimals: number;
    };
    getPeggedPairConfigs(): ICBridgeBurnPairConfig[];
    getBurnPairConfigs(): ICBridgePeggedPairConfig[];
}
